import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;
import java.lang.Character;
import java.util.Vector;

public class ScreenManager extends Card implements Runnable
{
	private boolean first = true;

	public ScreenManager()
	{
	}

	public void paint(Graphics g)
	{
		// 처음에 타이틀화면을 그려준다.
		if (first) {
			paintTitleScreen(g);
		}
	}

	public void run()
	{
	}

	protected boolean keyNotify(int type, int key) 
	{
		// 처음 실행할때 타이틀을 보여준후 키가 눌렸을때의 처리
		if(first) {
			first = false;
			repaint();
			return true;
		}
		return true;
	}

	// 처음의 타이틀 화면을 그려준다.
	private void paintTitleScreen(Graphics g)
	{
		Image img = null;

		try
		{
			img = Image.createImage("title.png");	
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}

		g.drawImage(img,0,0,Graphics.TOP);
	}
};